name: Passing Data Between Steps

on:
  workflow_dispatch:

jobs:
  data-passing:
    runs-on: ubuntu-22.04
    steps:
      - name: Create data
        id: sender # Set the output name for this step to Apple
        run: |                                 
          echo "name=Apple" >> $GITHUB_OUTPUT 

      - name: Receive data
        run: | 
          echo ${{ steps.sender.outputs.name }}
